package com.atlassian.bitbucket.util;

import javax.annotation.Nonnull;
import javax.annotation.Nullable;

/**
 * An optionally-named link relating to an entity.
 */
public interface NamedLink {
    /**
     * @return the optional name of the link
     */
    @Nullable
    String getName();

    /**
     * @return the link's href
     */
    @Nonnull
    String getHref();
}
